<template>
  <div class="container mx-auto">
    <div class="my-10 mb-20 grid sm:grid-cols-1 px-4 lg:px-0 lg:grid-cols-4">
      <section class="col-span-1">
        <div class="grid md:gap-4 gap-0 md:grid-cols-2 lg:grid-cols-1">
          <CardMenu
            class="md:mb-0 mb-5 md:col-span-1"
            red
            title="Anda Perlu Bantuan?"
            desc="Buat permintaan bantuan dan isikan kebutuhan Anda. Tim relawan akan menghubungi Anda apabila kebutuhan Anda telah tersedia dan dapat disalurkan."
            button-text="Ajukan Permintaan Bantuan"
            :on-click="() => gotoPage('/permintaan-bantuan')"
          />

          <CardMenu
            class="md:mb-0 mb-5 md:col-span-1"
            green
            title="Ingin Memberikan Bantuan?"
            desc="Hubungi tim kami untuk menyalurkan bantuan yang anda miliki. Tim kami akan mengarahkan cara pemberian bantuan."
            button-text="Hubungi Tim Kami"
            :on-click="() => redirect()"
          />
          <CardMenu />
        </div>
      </section>
      <CategoryList />
      <section class="col-span-1">
        <div class="grid lg:grid-cols-1 md:grid-cols-2 md:gap-4 gap-0">
          <Counter green number="9000" desc="Pemberi Bantuan" class="mb-5 md:mb-0" />
          <Counter red number="9000" desc="Barang Bantuan Tersedia" class="mb-5 md:mb-0" />
          <Counter yellow number="9000" desc="Pencari Bantuan" class="mb-5 md:mb-0" />
          <Counter blue number="9000" desc="Yang Sudah Terbantu" class="mb-5 md:mb-0" />
        </div>
      </section>
    </div>
  </div>
</template>

<script>
const Counter = () => import('~/components/Card/counter');
const CardMenu = () => import('~/components/Card/menu');
const CategoryList = () => import('~/components/CategoryList');
export default {
  components: {
    Counter,
    CardMenu,
    CategoryList,
  },
  methods: {
    gotoPage(url) {
      this.$router.push(url);
    },
    redirect() {
      window.location.href = 'http://wa.me/6281297433225';
    },
  },
};
</script>

<style lang="scss" scoped>
.title {
  font-weight: 600;
  font-size: 22px;
  line-height: 29px;
  margin-bottom: 40px;
}
</style>
